import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { GetDataPropsParams, GetTokenBalancesParams } from '../../../position/template/contract-position.template.types';
import { SingleStakingFarmDefinition, SingleStakingFarmTemplateContractPositionFetcher } from '../../../position/template/single-staking.template.contract-position-fetcher';
import { RariContractFactory, RariGovernanceTokenDistributor } from '../contracts';
export declare class EthereumRariGovernanceContractPositionFetcher extends SingleStakingFarmTemplateContractPositionFetcher<RariGovernanceTokenDistributor> {
    protected readonly appToolkit: IAppToolkit;
    protected readonly contractFactory: RariContractFactory;
    groupLabel: string;
    constructor(appToolkit: IAppToolkit, contractFactory: RariContractFactory);
    getContract(address: string): RariGovernanceTokenDistributor;
    getFarmDefinitions(): Promise<SingleStakingFarmDefinition[]>;
    getRewardRates(_params: GetDataPropsParams<RariGovernanceTokenDistributor>): Promise<number[]>;
    getIsActive(): Promise<boolean>;
    getStakedTokenBalance(_params: GetTokenBalancesParams<RariGovernanceTokenDistributor>): Promise<number[]>;
    getRewardTokenBalances({ address, contract }: GetTokenBalancesParams<RariGovernanceTokenDistributor>): Promise<import("ethers").BigNumber>;
}
